WordPress.org

Make WordPress Core

Changeset 52143


Ignore:
Timestamp:
11/12/2021 12:03:30 AM (2 months ago)
Author:
noisysocks
Message:

Update 'react' and 'react-dom'

Update 'react' and 'react-dom' packages to version 17.0.1. This is the version
expected by @wordpress components.

See #54337.

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/package-lock.json

    r52135 r52143  
    74777477        "browserify-aes": {
    74787478            "version": "1.2.0",
    7479             "resolved": "https://registry.npmjs.org/browserify-aes/-/browserify-aes-1.2.0.tgz",
     7479            "resolved": "http://registry.npmjs.org/browserify-aes/-/browserify-aes-1.2.0.tgz",
    74807480            "integrity": "sha512-+7CHXqGuspUn/Sl5aO7Ea0xWGAtETPXNSAjHo48JfLdPWcMng33Xe4znFvQweqc/uzk5zSOI3H52CYnjCfb5hA==",
    74817481            "dev": true,
     
    2153221532        },
    2153321533        "react": {
    21534             "version": "16.13.1",
    21535             "resolved": "https://registry.npmjs.org/react/-/react-16.13.1.tgz",
    21536             "integrity": "sha512-YMZQQq32xHLX0bz5Mnibv1/LHb3Sqzngu7xstSM+vrkE5Kzr9xE0yMByK5kMoTK30YVJE61WfbxIFFvfeDKT1w==",
     21534            "version": "17.0.1",
     21535            "resolved": "https://registry.npmjs.org/react/-/react-17.0.1.tgz",
     21536            "integrity": "sha512-lG9c9UuMHdcAexXtigOZLX8exLWkW0Ku29qPRU8uhF2R9BN96dLCt0psvzPLlHc5OWkgymP3qwTRgbnw5BKx3w==",
    2153721537            "requires": {
    2153821538                "loose-envify": "^1.1.0",
    21539                 "object-assign": "^4.1.1",
    21540                 "prop-types": "^15.6.2"
     21539                "object-assign": "^4.1.1"
    2154121540            }
    2154221541        },
     
    2158521584        },
    2158621585        "react-dom": {
    21587             "version": "16.13.1",
    21588             "resolved": "https://registry.npmjs.org/react-dom/-/react-dom-16.13.1.tgz",
    21589             "integrity": "sha512-81PIMmVLnCNLO/fFOQxdQkvEq/+Hfpv24XNJfpyZhTRfO0QcmQIF/PgCa1zCOj2w1hrn12MFLyaJ/G0+Mxtfag==",
     21586            "version": "17.0.1",
     21587            "resolved": "https://registry.npmjs.org/react-dom/-/react-dom-17.0.1.tgz",
     21588            "integrity": "sha512-6eV150oJZ9U2t9svnsspTMrWNyHc6chX0KzDeAOXftRa8bNeOKTTfCJ7KorIwenkHd2xqVTBTCZd79yk/lx/Ug==",
    2159021589            "requires": {
    2159121590                "loose-envify": "^1.1.0",
    2159221591                "object-assign": "^4.1.1",
    21593                 "prop-types": "^15.6.2",
    21594                 "scheduler": "^0.19.1"
     21592                "scheduler": "^0.20.1"
    2159521593            }
    2159621594        },
     
    2270922707        },
    2271022708        "scheduler": {
    22711             "version": "0.19.1",
    22712             "resolved": "https://registry.npmjs.org/scheduler/-/scheduler-0.19.1.tgz",
    22713             "integrity": "sha512-n/zwRWRYSUj0/3g/otKDRPMh6qv2SYMWNq85IEa8iZyAv8od9zDYpGSnpBEjNgcMNq6Scbu5KfIPxNF72R/2EA==",
     22709            "version": "0.20.2",
     22710            "resolved": "https://registry.npmjs.org/scheduler/-/scheduler-0.20.2.tgz",
     22711            "integrity": "sha512-2eWfGgAqqWFGqtdMmcL5zCMK1U8KlXv8SQFGglL3CEtd0aDVDWgeF/YoCmvln55m5zSk3J/20hTaSBeSObsQDQ==",
    2271422712            "requires": {
    2271522713                "loose-envify": "^1.1.0",
  • trunk/package.json

    r52135 r52143  
    147147        "objectFitPolyfill": "2.3.5",
    148148        "polyfill-library": "3.105.0",
    149         "react": "16.13.1",
    150         "react-dom": "16.13.1",
     149        "react": "17.0.1",
     150        "react-dom": "17.0.1",
    151151        "regenerator-runtime": "0.13.7",
    152152        "twemoji": "13.1.0",
Note: See TracChangeset for help on using the changeset viewer.